package com.adealink.weparty.module.widget.form.field.number

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class NumberDelegate :
    WidgetDelegate<NumberWidgetData, NumberWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: NumberWidgetData
    ): NumberWidgetView {
        val widget = NumberWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner,data)
        return widget
    }
}